POST
/system/userPost/queryUserPostPage管理后台用户岗位表-分页查询
平台与系统 / 用户·岗位
基本信息
- 接口状态脚手架生成·未接入前端
- 接口URLPOST
https://dscp-dev.hn12301.net/manage-api/system/userPost/queryUserPostPage - 请求方式
POST - Content-Type
application/json - 暴露渠道管理后台 前缀
/manage-api - 名称来源源码注释
- 调用方本次扫描未发现调用
- 需求上下文
- 维护人 / 最后改动AsiQue 2023-11-25
- 读写数据表
system_user_post反查该表全部接口 → - 控制器
com.jxxx.dscp.api.controller.system.UserPostController#queryUserPostPage - 源码位置
jxxx-dscp/dscp-service-business/src/main/java/com/jxxx/dscp/api/controller/system/UserPostController.java:62 - 判定依据
请求参数
Header 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无(渠道统一鉴权头见《认证方式》) | ||||
Query 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无 | ||||
路径参数及说明
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| 无 | ||||
Body 请求参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| pageNo | … | 否 | Integer | 当前页面 |
| pageSize | … | 否 | Integer | 每页记录数 |
| orderBy | … | 否 | String | 排序语句 |
| userId | … | 否 | Long | 用户ID → system_user_post.user_id |
| postId | … | 否 | Long | 岗位ID → system_user_post.post_id |
| tenantId | … | 否 | Long | 租户编号 → system_user_post.tenant_id |
| idList | … | 否 | List<Long> | id列表 |
| keywords | … | 否 | String | 关键字 |
认证方式
响应参数
| 参数名 | 参数值 | 是否必填 | 参数类型 | 描述说明 |
|---|---|---|---|---|
| list | … | 否 | List<T><UserPostResponse> | 分页数据集合(元素结构见下一行) |
| id | … | 否 | Long | id → system_user_post.id |
| userId | … | 否 | Long | 用户ID → system_user_post.user_id |
| postId | … | 否 | Long | 岗位ID → system_user_post.post_id |
| tenantId | … | 否 | Long | 租户编号 → system_user_post.tenant_id |
| total | … | 否 | Long | 数据总数 |
响应示例
成功响应示例
{
"errcode": 0,
"errmsg": "",
"data": {
"list": "[]",
"id": "1",
"userId": "1",
"postId": "1",
"tenantId": "1",
"total": "1"
}
}附录 · 实现细节
调用链 / 数据表 / 调用点证据 / 源码注释 / 逻辑摘要
涉及数据表:system_user_post 反查全部引用接口 →
- UserPostController#queryUserPostPage
- UserPostService#queryPage(UserPostServiceImpl)
- UserPostMapper#queryPage
- BeanUtils.mapPage → UserPostQuery
逻辑摘要:分页查询(userPostService.queryPage);入参与返回值经 BeanUtils 做对象/分页映射
旧站环境备注:pro:(仓库 .env.pro 指向 uat;生产域名未确认,此处沿用 uat 主机示意)